<template>
    <v-list>

        <v-list-group v-if="children && navigation!==false" :sub-group="subgroup || false" no-action>
            <v-list-tile slot="activator">
                <v-list-tile-title>{{name|capitalize}}</v-list-tile-title>
            </v-list-tile>

            <v-list-tile :to={name:name}>
                <v-list-tile-title>Index ({{path}})</v-list-tile-title>
                <v-list-tile-action>
                    <v-icon v-text="icon || 'fa-file'"></v-icon>
                </v-list-tile-action>
            </v-list-tile>
            <TreeMenu v-for="(route, i) in children" :icon=icon :index=index+1 :children="route.children"
                      :path="route.path" :name="route.name" :depth="index+1" value="false"
                      :navigation="route.navigation" :style="`padding-left:${depth * 2}px`"></TreeMenu>
        </v-list-group>
        <v-list-tile v-else-if="!children && navigation!==false" :to={name:name}>
            <v-list-tile-title>{{name|capitalize}}</v-list-tile-title>
            <v-list-tile-action>
                <v-icon v-text="icon || 'fa-file'"></v-icon>
            </v-list-tile-action>
        </v-list-tile>


    </v-list>
</template>

<script>
    export default {
        name: "TreeMenu",
        props: ['children', 'name', 'icon', 'depth', 'path', 'parentPath', 'navigation', 'subgroup', 'expanded', 'index'],
        data() {
            return {
                showChildren: true,
            }
        },
        computed: {},
        filters: {
            capitalize: function (value) {
                if (!value) return ''
                value = value.toString()
                return value.charAt(0).toUpperCase() + value.slice(1)
            }
        },
        methods: {}
    }
</script>

<style scoped>
</style>